// SIP bindings file


class A
{
%TypeHeaderCode
#include "test.h"
%End

public:
  A();
  virtual ~A();
  void __a__();
%MethodCode
  std::cout << "A: " << sipCpp << std::endl;
%End

  int a;
};


class B
{
%TypeHeaderCode
#include "test.h"
%End

public:
  B();
  virtual ~B();
  void __b__();
%MethodCode
  std::cout << "B: " << sipCpp << std::endl;
%End

  int b;
};


class C : A, B
{
%TypeHeaderCode
#include "test.h"
%End

public:
  C();
  virtual ~C();
  void __c__();
%MethodCode
  std::cout << "C: " << sipCpp << std::endl;
%End

  int c;
};


class D
{
%TypeHeaderCode
#include "test.h"
%End

public:
  D();
  virtual ~D();
  void __d__();
%MethodCode
  std::cout << "D: " << sipCpp << std::endl;
%End
  int d;
};

class E : D, C
{
%TypeHeaderCode
#include "test.h"
%End

public:
  E();
  virtual ~E();
  void __e__();
%MethodCode
  std::cout << "E: " << sipCpp << std::endl;
%End
};


class F : C
{
%TypeHeaderCode
#include "test.h"
%End

public:
  F();
  virtual ~F();
  void __f__();
%MethodCode
  std::cout << "F: " << sipCpp << std::endl;
%End
};


class G : E, F
{
%TypeHeaderCode
#include "test.h"
%End

public:
  G();
  virtual ~G();
  void __g__();
%MethodCode
  std::cout << "G: " << sipCpp << std::endl;
%End

  int g;
};

